### Hierarchy

- ColumnDirective

### Implements

- OnInit

## Index

### Inputs

- class
- columnNumbers
- offsets

### Properties

- _columnClasses
- class
- columnNumbers
- offsets

### Accessors

- columnClasses

### Methods

- ngOnInit
- set

## Properties

### Protected _columnClasses

_columnClasses: string[] = []

- Defined in src/grid/grid.directive.ts:47

### class

@Input()
class: string = ""

- Defined in src/grid/grid.directive.ts:41

### columnNumbers

@Input()
columnNumbers: object

- Defined in src/grid/grid.directive.ts:43

#### Type declaration

### offsets

@Input()
offsets: object

- Defined in src/grid/grid.directive.ts:45

#### Type declaration

## Accessors

### columnClasses

@HostBinding({"hostPropertyName":"class"})
columnClasses:

- Defined in src/grid/grid.directive.ts:50

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in src/grid/grid.directive.ts:58

  #### Returns void

### set

- set(classes: string): void

- - Defined in src/grid/grid.directive.ts:54

  #### Parameters

  - ##### classes: string

  #### Returns void

Generated using TypeDoc